/*==========  Media  ==========*/

/* Large Devices, Wide Screens */
@media only screen and (min-width : 1200px) {
    .user_personal_seperator{
        position: relative;
        padding-right: 30px;
    }
    .user_personal_seperator:after{
        content: "";
        display: block;
        position: absolute;
        right: 11px;
        height: calc(100% - 50px);
        background: rgb(219, 219, 219);
        width: 1px;
        top: 40px;
    }
}
@media only screen and (max-width : 1440px) { 
    .menu_group--header .menu_group__link {
        padding: 16px 20px;
    }
    .menu_group--header .menu_group__item--2 .menu_group__link {
        padding: 10px 20px;
    }
}

@media only screen and (max-width : 1200px) { 
    .menu_group--header .menu_group__link {
        padding: 16px 14px;
        font-size: 16px;
    }
    .menu_group--header .menu_group__item--2 .menu_group__link {
        padding: 10px 14px;
        font-size: 15px;
    }
    .header__center {
        padding: 15px;
    }
    .header_right_wrapper {
        gap: 10px;
    }
}

/* Medium Devices, Desktops */
@media only screen and (min-width : 992px) {
    .menu_switcher {display: none !important;}
    .position_sticky{position: sticky; top: 70px;}
    /* Hover style elemets */
    .block__header_button:hover{
        background: var(--button-color);
        border-color: var(--button-color);
        color: var(--button-text);
    }
    .block__header_button:hover .block__more{
        color: var(--button-text);
    }
    .filter__name:hover .filter__name_arrow{
        color: var(--basic-company);
    }
    .filter__selected_feature .filter__sf_link:hover{
        border-color: var(--basic-company);
    }
    .filter__selected_feature .filter__sf_link:hover .remove_icon{
        color: rgba(216, 31, 31, 1);
    }
    .filter__selected_feature_reset .filter__sf_reset:hover{
        border-color: transparent;
    }
    .filter__item:hover .filter__link {
        color: var(--basic-company);
    }
    .filter__link:hover .filter__label{
        color: var(--basic-company);
    }
    .filter__link:hover .filter__checkbox{
        border-color: var(--basic-company);
    }
    .anchor_comments__link:hover,
    .view_all_feature:hover,
    .anchor_comments__link:focus,
    .view_all_feature:focus{
        border-color: transparent;
    }
    .blog_catalog__switch:hover,
    .blog_catalog__link:hover,
    a.filter__catalog_link:hover{
        color: var(--basic-company);
    }
    a.filter__catalog_link:hover span{
        padding-right: 10px;
    }
    .product_sort__link:not(.active_down):hover,
    .product_sort__link:not(.active_up):hover {
        color: var(--button-color);
        border-color: var(--button-color);
    }
    .checkbox:hover .checkbox__icon{
        border-color: var(--basic-company);
    }
    .breadcrumbs a:hover{
        color: var(--basic-company);
    }
    .account__link:hover{
        color: var(--basic-company);
        opacity: 1;
    }
    .switcher__visible:hover .switcher__name:after {
        -webkit-transform: rotate(-135deg);
        -ms-transform: rotate(-135deg);
        transform: rotate(-135deg);
        top: 0px;
    }
    .switcher__item:hover .switcher__hidden{
        display: block;
        z-index: 1;
    }
    .switcher__link:hover {
        text-decoration: none;
        color: var(--basic-company);
    }
    .main_brands__image:hover img {
        opacity: 1;
    }
    .menu_group__link:hover{
        color: var(--basic-company);
        text-decoration: none;
    }
    .menu_group--header .menu_eventer:hover .menu_group__list--2{
        opacity: 1;
        visibility: visible;
        z-index: 1;
    }
    .menu_group--header .menu_eventer:hover .menu_group__list--3{
        display: none;
    }
    .menu_group--header .menu_group__link[href^="discounted"]:hover{
        color: rgb(247, 76, 76);
    }
    .menu_group--header .menu_eventer:hover .menu_group__link:after {
        transform: rotate(-135deg);
        top: 2px;
    }
    .menu_group--header .menu_group__link:hover{
        color: var(--basic-company);
        text-decoration: none;
    }
    .menu_group--footer .menu_group__link:hover{
        color: var(--basic-company);
        text-decoration: none;
    }
    .header-contact__inner:hover{
        background: #fff;
        box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.3);
        z-index: 1;
        height: auto;
    }
    .header-contact__inner--adress:hover{
        background: transparent;
        box-shadow: none;
        z-index: 1;
        height: auto;
    }
    .header-contact__inner:hover .header-contact__item{
        opacity: 1;
        visibility: visible;
        height: auto;
        position: relative;
    }
    .header-contact__inner:hover .header-contact__item--visible:after {
        content: none;
    }
    .header-contact__inner:hover .header-contact__item--visible a {
        color: var(--body-text);
    }
    .header-contact__inner:hover .header-contact__item--visible a:hover {
        color: var(--basic-company);
    }
    .header-contact--phone a:hover,
    .header-contact--email a:hover{
        color: var(--basic-company);
    }
    .header_informers__item:hover{
        color: var(--second-company-text);
        background: var(--second-company);
    }
    .search__button:hover {
        opacity: 1;
    }
    .categories_nav li:hover > .categories_nav__subcategory {
        transform: translateX(284px) translateZ(0px);
        visibility: visible;
        opacity: 1;
    }
    .categories_nav .categories_menu__item .categories_menu__link:hover{
        color: var(--basic-company);
        text-decoration: none;
        background: #f2f2f2;
    }
    .categories_nav .subcategory .categories_menu__item .categories_menu__link:hover{
        color: var(--basic-company);
        text-decoration: none;
    }
    .categories_nav .subcategory .categories_menu__item:hover {
        background: #fff;
    }
    .categories_nav .level_3 .subcategory .categories_menu__item .categories_menu__link:hover{
        color: var(--basic-company);
        text-decoration: none;
    }
    .categories_nav__subcategory.level_4{
        display: none!important;
    }
    .author_list__item:hover .author_list__preview,
    .brand__item:hover .brand__preview{
        background: #fff;
        border-color: transparent;
        border-radius: 4px;
        -webkit-box-shadow: 0 5px 15px #00000059;
        -moz-box-shadow: 0 5px 15px rgba(0,0,0,0.35);
        box-shadow: 0 5px 15px #00000059;
        z-index: 3;
    }
    .fn_products_slide .product_item{width: 264px;}
    .product_item:not(.no_hover):hover .product_preview {
        background: #fff;
        border-color: transparent;
        border-radius: 4px;
        -webkit-box-shadow: 0 5px 15px rgba(0,0,0,0.35);
        -moz-box-shadow: 0 5px 15px rgba(0,0,0,0.35);
        box-shadow: 0 5px 15px rgba(0,0,0,0.35);
        z-index: 3;
    }
    .product_preview__name:hover {
        overflow: visible;
        z-index: 2;
    }
    .product_preview__name a:hover {
        color: var(--basic-company);
    }
    .product_preview__button--pre_order:hover{
        background: rgb(127, 127, 127);
        border-color: rgb(127, 127, 127);
        color: #fff;
    }
    .product_preview__button--pre_order:hover{
        background: rgb(127, 127, 127);
        border-color: rgb(127, 127, 127);
        color: #fff;
    }
    .form__button--border:active,
    .form__button--border:hover,
    .form__button--border:focus{
        background: rgb(127, 127, 127);
        border-color: rgb(127, 127, 127);
        color: #fff;
    }
    .product-page__button--preloader:hover,
    .product-page__button--preloader:focus{
        background: #7f7f7f;
        border-color: #7f7f7f;
        color: #fff;
    }
    .product_preview__button:not('.button--blick'):hover{
        opacity: 0.8;
    }
    .product_item:hover .product_preview__button .product_preview__button_text{
        visibility: visible;
        overflow: visible;
        opacity: 1;
        width: auto;
    }
    .product_preview__buttons .comparison_button:hover,
    .product_preview__buttons .fast_order_button:hover{
        color: var(--button-color);
        border-color: var(--button-color);
        opacity: 1;
    }
    .product_preview__center .wishlist_button:hover{
        opacity: 1;
    }
    .product_item:not(.no_hover):hover .product_preview__annotation,
    .product_item:not(.no_hover):hover .product_preview__variants{
        display: block;
    }
    .article__button:hover{
        color: var(--button-color);
    }
    .article_item:hover .article__preview {
        background: rgb(255, 255, 255);
        border-color: transparent;
        border-radius: 4px;
        -webkit-box-shadow: 0 5px 15px rgba(0,0,0,0.35);
        -moz-box-shadow: 0 5px 15px rgba(0,0,0,0.35);
        box-shadow: 0 5px 15px rgba(0,0,0,0.35);
        z-index: 3;
    }
    .article__button:hover svg {
        left: 3px;
    }
    .details_boxed__other .fast_order_button:hover,
    .product-page__compare:hover,
    .product-page__wishlist:hover{
        border-color: var(--button-color);
        color: var(--button-color);
    }
    .product-page__compare:focus,
    .product-page__wishlist:focus{
        color: var(--button-color);
    }
    .tabs__link:hover{
        color: var(--basic-company);
    }
    .pager a:hover {
        text-decoration: none;
        color: var(--button-color);
        background: #fff;
        border-color: #dbdbdb;
    }
    .sidebar_card__link:hover,
    .browsed__link:hover {
        border-color: transparent;
        -webkit-box-shadow: 0 1px 4px #8e8e8e;
        -moz-box-shadow: 0 1px 4px #8e8e8e;
        box-shadow: 0 1px 4px #8e8e8e;
    }
    .footer__contact_item .callback:hover{
        color: var(--basic-company-text);
        background-color: var(--basic-company);
        border-color: var(--basic-company);
    }
    .footer__contact_item .email:hover,
    .footer__contact_item .phone:hover{
        color: var(--basic-company)!important;
        text-decoration: none;
    }
    .footer__menu_link:hover{
        color: var(--basic-company);
        text-decoration: none;
    }
    .form__button--subscribe:hover{
        opacity: 1;
    }
    .social__link:hover {
        background-color: #FFCD00;
        border-color: #FFCD00;
        color: var(--boxed-text);
        opacity: 1;
    }
    .footer__copyright a:hover{
        color: var(--basic-company)!important;
        text-decoration: none
    }
    .compare_show a:hover{
        background: var(--basic-company);
        color: var(--second-company-text);
        text-decoration: none;
    }
    .purchase__name .purchase__name_link:hover {
        color: var(--basic-company);
    }
    .purchase__remove:hover{
        background: red;
        color: #fff;
        border-color: red;
    }
    .form__button--coupon:hover{
        opacity: 1;
    }
    td a:hover {
        opacity: .8;
    }
}

@media only screen and (max-width : 1025px) {
    .banner_main__title, h1, .h1, .section_title, .faq_title_h2{font-size: 48px;line-height: 60px;}
    .banner_main, .section_main_video{height: 600px;}
    .banner_main__description{font-size: 24px;}
    .section_page_description, .section_photogallery, .section_our_partners, 
    .section_our_instructors,.section_faq_boxed, .section_our_projects{padding: 100px 0;}
    .main_articles_section, footer{padding-top: 100px;}
    .section_title, .section_text, .section_title_wrapper, .faq_title_h2{margin-bottom: 40px;}
    .our_instructors_items{grid-template-columns: repeat(3, 1fr);gap: 20px;}
    .footer__content{flex-wrap: wrap;}
    .article_list{grid-template-columns: repeat(1, 1fr);}
    .page_wrapper {gap: 32px;padding: 60px 0;}
    .page_our_projects .our_projects_items{grid-template-columns: repeat(3, 1fr);}
    .menu_group--header .menu_group__link{padding: 5px 8px;font-size: 16px;}
}

@media only screen and (max-width : 991px) {
    h2, .h2 {
        font-size: 28px;
        margin: 0 0 20px;
    }
    h3, .h3 {
        font-size: 24px;
    }
    .category_name_title {
        font-size: 32px;
    }
    /* .header{
        position: fixed;
        width: 100%;
        top: 0px;
        left: 0px;
    } */
    .footer__hidden{
        display: none;
    }
    .product-page__images{
        max-height: 320px;
    }
    .sidebar:not(.sidebar--user){
        position: fixed;
        z-index: 10000;
        top: 0;
        right: -320px;
        width: 320px;
        max-width: calc(100vw - 50px);
        height: 100vh;
        display: block;
        padding: 45px 5px 5px;
        overflow-y: auto;
        transition: .3s;
        background: #212121;
    }
    .blog_container--left,
    .post_container--left{
        margin-right: 0;
        -webkit-box-flex: 0;
        -webkit-flex: 0 0 100%;
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
        margin-left: 0;
    }
    .sidebar__header{
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -webkit-justify-content: space-between;
        -ms-flex-pack: justify;
        justify-content: space-between;
        position: fixed;
        top: 0px;
        width: 310px;
        right: -300px;
        transition: .3s;
        height: 45px;
        background: #212121;
        box-shadow: 0 2px 5px rgba(0, 0, 0, .3);
        color: #fff;
        border-radius: 0px;
        padding: 5px 5px;
        max-width: calc(100vw - 55px);
    }
    .sidebar.opened{
        right: 0;
        overscroll-behavior: none;
    }
    .sidebar__header.opened {
        right: 5px;
        z-index: 5;
    }
    .sidebar__header--close{
        display: -webkit-inline-box;
        display: -webkit-inline-flex;
        display: -ms-inline-flexbox;
        display: inline-flex;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
        cursor: pointer;
        font-size: 14px;
        font-weight: 400;
        height: 35px;
        color: #fff;
        -webkit-flex-basis: 0;
        -ms-flex-preferred-size: 0;
        flex-basis: 0;
        -webkit-box-flex: 1;
        -webkit-flex-grow: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
    }
    .sidebar__header--close svg {
        margin-right: 5px;
        display: inline-block;
        height: 18px;
        position: relative;
        width: 18px;
    }
    .sidebar__header--reset{
        -webkit-flex-basis: 0;
        -ms-flex-preferred-size: 0;
        flex-basis: 0;
        -webkit-box-flex: 1;
        -webkit-flex-grow: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        max-width: 100%;
    }
    .mobile_filter__reset{
        display: -webkit-inline-box;
        display: -webkit-inline-flex;
        display: -ms-inline-flexbox;
        display: inline-flex;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
        cursor: pointer;
        font-size: 14px;
        font-weight: 400;
        background: transparent;
        border: none;
        height: 35px;
        color: #fff;
        width: 100%;
    }
    .mobile_filter__reset svg {
        margin-right: 8px;
        display: inline-block;
        height: 15px;
        position: relative;
        width: 15px;
    }
    .sidebar__boxed {
        margin-bottom: 5px;
    }
    .blog_container--left,
    .post_container--left,
    .products_container {
        margin-left: 0px;
        width: 100%;
    }
    .blog_container__boxed,
    .post_container__boxed{
        position: relative;
    }
    .blog_container__boxed .blog__heading,
    .post_container__boxed .post__heading{
        padding-right: 150px;
    }
    .blog_container__boxed .switch_mobile_filter,
    .post_container__header .switch_mobile_filter{
        width: 130px;
        position: absolute;
        top: 20px;
        right: 15px;
    }
    .block_explanation{
        margin-top: 20px;
        padding-left: 0;
    }
    footer {padding-top: 10px;}
    .product_item {
        margin-bottom: 0px;
        height: 299px;
        padding: 0px !important;
    }
    .block__abouts_us {
        border-right: none;
        padding-right: 0px;
        border-bottom: 1px solid;
        border-color: var(--border-color);
        padding-bottom: 20px;
        margin-bottom: 20px;
    }
    .product_preview {
        box-shadow: none;
        min-height: 300px;
        border-left: none !important;
    }
    .product_preview__top{
        display: none;
    }
    .product_preview__image {
        height: 150px;
        margin-bottom: 10px;
    }
    .product_preview__image a,
    .product_preview__image picture {
        height: 150px;
    }
    .product_preview__name {
        height: 34px;
    }
    .product_preview__prices {
        margin-top: 5px;
    }
    .product_preview__bottom {
        margin: 5px 0 0;
    }
    .product_preview__prices .price {
        font-size: 16px;
        font-weight: 600;
    }
    .product_preview__prices .old_price {
        margin: 0 5px 0 0;
        font-size: 13px;
        font-weight: 400;
    }
    .categories_nav{
        display: none!important;
    }
    .main_banner {
        display: block;
        width: 100%;
        margin-left: 0px;
        margin-bottom: 10px;
        box-shadow: none;
    }
    .article_list.no_gutters{
        border-top: 1px solid #dbdbdb;
        border-left: 1px solid #dbdbdb;
    }
    .article_list.no_gutters .article__preview {
        border-right: 1px solid #dbdbdb;
        border-bottom: 1px solid #dbdbdb;
    }
    .brand__item {
        margin-bottom: 10px;
    }
    .block--cart_purchases{
        margin-bottom: 15px;
    }
    .block__header--boxed {
        padding: 10px 15px;
        margin-bottom: 10px;
    }
    .block {
        margin-bottom: 10px;
    }
    .block--boxed {
        padding: 15px;
    }
    .brand {
        margin-bottom: -10px;
    }
    .tabs {
        margin-bottom: 10px;
    }
    .pager {
        margin-top: 10px;
        margin-bottom: 10px;
    }
    .products_container__boxed {
        padding: 20px 20px 10px;
        margin-bottom: 10px;
    }
    .block__header--boxed .block__header_promo,
    .block__header--boxed .block__header_button {
        right: inherit;
        top: inherit;
    }
    .block__header--promo .block__heading,
    .block__header--promo .block__title {
        padding-right: 0px;
        margin: 0 0 0px;
    }
    .block__header_promo {
        position: relative;
        max-width: inherit;
        padding: 1px 5px;
        margin-top: 10px;
    }
    .gallery_image picture,
    .gallery_image a{
        height: 350px;
        min-height: inherit;
    }
    .gallery_image img{
        max-height: 100%;
    }
    .menu_switcher__heading .catalog_icon {
        margin-right: 5px;
        display: inline-block;
        position: relative;
    }
    .menu_switcher__heading .catalog_icon svg {
        width: 20px;
        height: 20px;
    }
    .main_banner .banner_group__item,
    .main_banner {height: inherit;padding-top: 30px;}
    .header_right_wrapper{display: none;}
    .mobile_header_menu{
        display: flex;
        border: 1px solid var(--button-color);
        border-radius: 8px;
        width: 50px;
        height: 50px;
        background-color: transparent;
    }
    .mobile_header_menu{
        background-repeat: no-repeat;
        background-position: center;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='34' height='34' viewBox='0 0 34 34' fill='none'%3E%3Cpath d='M3 8H31M3 17H31M3 26H31' stroke='%23ffe642' stroke-width='2.5' stroke-miterlimit='10' stroke-linecap='round'/%3E%3C/svg%3E");
    }
    .mobile_header_menu.active{
        background-color: var(--button-color);
        background-image: url("data:image/svg+xml,%3Csvg width='34' height='34' viewBox='0 0 34 34' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M17 17L27 27M17 17L7 7M17 17L7 27M17 17L27 7' stroke='%23000000' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
    }
    .header__center{padding: 10px 15px;}
    .header_right_wrapper {
        position: absolute;
        top: 100%;
        left: -10px;
        z-index: 10;
        background-color: #fff9d0;
        width: calc(100% + 20px);
        height: calc(100vh - 92px);
    }
    .menu_group--header .menu_group__link {
        font-weight: 600;
        font-size: 22px;
        padding: 0 20px;
        border-bottom: 1px solid #00000014;
        /* text-align: center; */
        color: var(--boxed-text);
        display: flex;
        align-items: center;
    }
    .menu_group--header .menu_group__link span {
        padding: 20px 0;
        width: 50%;
    }
    .menu_group--header .menu_eventer .menu_group__link:after {
        display: none
    }
    .menu_eventer_icon svg{
        width: 16px;
        height: 16px;
        transform: rotate(90deg);
        transition: all .3s ease;
    }
    .menu_group--header .menu_eventer .menu_group__list--2 {
        border-radius: 0;
        display: none;
        left: 0;
        padding: 0;
        position: relative;
        top: 0;
        width: 100%;
        background: transparent;
        box-shadow: none;
        color: var(--boxed-text);
        opacity: 1;
        visibility: visible;
        transition: unset;
    }
    .menu_group--header .menu_group__item--2 .menu_group__link {
        display: block;
        font-size: 18px;
        color: var(--boxxed-text);
        padding: 20px 24px;
        border-bottom: 1px solid #0000000f;
    }
    .menu_group--header .menu_group__item {width: 100%;}
    .menu_group--header {flex-direction: column; margin: 40px auto 0; width: 50%;}
    .header_right_wrapper .callback{margin: 40px auto 0;max-width: 384px;}
    .banner_main__title, h1, .h1, .section_title, .faq_title_h2, .footer__title{font-size: 40px;line-height: 48px;}
    .banner_main__description{font-size: 22px;}
    .banner_main, .section_main_video, .article_item{height: 550px;}
    .article_item_info{min-height: 230px;}
    .section_page_description, .section_photogallery, .section_our_partners, .section_our_instructors, .section_faq_boxed, .section_our_projects{padding: 80px 0;}
    .main_articles_section, footer{padding-top: 80px;}
    .our_instructors_items{grid-template-columns: repeat(2, 1fr);}
    .question_text{font-size: 26px;}
    .faq__question{padding: 20px 0;}
    .slider_buttons .swiper-button-prev, .slider_buttons .swiper-button-next{width: 50px;height: 50px;}
    .slider_buttons, .our_partners_items{gap: 20px;}
    .footer__title{justify-content: flex-start;}
    .footer__content{flex-direction: column;align-items: flex-start;gap: 24px;padding: 32px 0 50px;}
    .page_wrapper{flex-direction: column;gap: 26px;}
    .page_our_projects, .blog_page, .page_our_instructors, .feedback_page, .post_page{padding: 24px 0 80px;}
    .page_our_projects .our_projects_items{grid-template-columns: repeat(2, 1fr);}
    .menu_group--header .menu_eventer .menu_eventer_icon.active svg {
        transform: rotate(270deg);
        top: 2px;
    }
}

/* Small Devices, Tablets */
@media only screen and (min-width : 768px) {
    .header__bottom {
        width: 100%;
        height: 60px;
    }
    .product-page__img .swiper-button-prev, 
    .product-page__img .swiper-button-next {
        display: none;
    }
    .user_tab__switch{
        cursor: inherit;
    }
    .user_tab__switch:after{
        display: none;
    }
}

@media only screen and (max-width : 767px) {
    .search {
        display: none;
        position: absolute;
        margin: 0;
        width: 100%;
        top: 45px;
        left: 0;
        background: var(--second-company);
        padding: 0 7px 7px;
    }
    .search__input {
        font-size: 12px;
        padding: 10px 10px;
        border-radius: 3px;
        height: 32px;
    }
    .search__button {
        border-radius: 3px;
        right: 6px;
        top: 0px;
    }
    .block__description .video,
    .block__description .mce-object-iframe{
        position: relative;
        padding-bottom: 56.25%;
        width: 100%;
    }
    .blog_container__boxed .blog__heading,
    .post_container__boxed .post__heading {
        padding-right: 110px;
        font-size: 22px;
    }
    .blog_container__boxed .switch_mobile_filter,
    .post_container__header .switch_mobile_filter {
        width: 100px;
        padding: 0 5px;
    }
    .post_information__item{
        margin: 5px 25px 5px 0;
        font-size: 12px;
    }
    .header__bottom,
    .fn_header__sticky{
        height: 45px;
    }
    .header__bottom_panel {
        position: static;
    }
    .menu_switcher {
        margin: 0px;
    }
    .menu_switcher__heading{
        height: 30px;
    }
    .header_informers__item svg {
        width: 24px;
        height: 24px;
    }
    #wishlist svg {
        width: 26px;
        height: 26px;
    }
    .header_informers__item {
        min-width: 60px;
        padding: 0 10px;
    }
    .header_informers__item .compare_counter,
    .header_informers__item .wishlist_counter,
    .header_informers__item .cart_counter {
        right: 5px;
        top: -5px;
    }
    .header__bottom_panel{
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
        height: 44px;
    }
    .block__header--promo .block__heading,
    .block__header--promo .block__title {
        padding-right: 0px;
    }
    .block__header_button {
        max-width: auto;
        position: relative;
        padding: 2px 0px;
        background: transparent;
        border: none;
        color: var(--basic-company);
    }
    .products_container__boxed {
        border-radius: 0px;
        padding: 10px;
        margin-bottom: 10px;
    }
    .products_container__sort {
        border-bottom: none;
        margin-bottom: 0px;
    }
    .products_sort {
        display: block;
    }
    .product_sort__form {
        display: inline-block;
        vertical-align: middle;
        margin: 5px 8px 0px 0px;
    }
    .product_sort__link {
        padding: 0;
        font-weight: 500;
        margin: 0;
        border: none;
    }
    .advantages {
        border-top: 1px solid;
        border-left: 1px solid;
        border-color: #dbdbdb;
    }

    .advantages__item:last-child .advantages__preview {
        border-right: 1px solid;
        border-bottom: 1px solid;
        border-color: #dbdbdb;
    }

    .advantages__item .advantages__preview {
        border-bottom: 1px solid;
        border-color: #dbdbdb;
    }
    .advantages__preview {
        padding: 20px 5px;
    }
    .advantages__icon svg {
        width: 60px;
        height: 60px;
        color: #058d27;
    }
    .advantages__title {
        font-size: 14px;
        line-height: 1.2;
        height: 35px;
        overflow: hidden;
    }
    .block__title--order{
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
        font-size: 20px;
    }
    .block__title--order span:last-child{
        -webkit-box-flex: 0;
        -webkit-flex: 0 0 100%;
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
        text-align: center;
    }
    .block__title--order .order_number {
        color: #1dc116;
        padding: 3px 5px;
        display: inline-block;
        font-size: 16px;
        border: 2px solid #1dc116;
        border-radius: 4px;
        line-height: 1;
        margin: 0px 5px;
    }
    .tabs__content {
        padding: 10px 0px;
    }
    .tab {
        display: block!important;
        padding: 0px 20px;
    }
    .footer__payments {
        text-align: center;
        margin-bottom: 15px;
    }
    .payments__list,
    .copyright{
        text-align: center;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
    }
    .product_preview__button--buy .product_preview__button_text{
        display: none;
    }
    .product_preview__buttons .product_preview__button:before {
        font-size: 20px;
    }
    .product-page__images{
        min-height: 1px;
        -webkit-box-flex: 0;
        -webkit-flex: 0 0 100%;
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
        margin-right: 0px!important;
        margin-left: 0px!important;
    }
    .product-page__images{
        margin-top: 10px;
    }
    .product-page__image {
        display: block!important;
        max-width: 100%;
        margin-right: 0px!important;
        margin-left: 0px!important;
    }
    .product-page__img {
        padding: 0;
    }
    .product-page__images-item{
        margin: 5px;
        float: left;
    }
    .purchase__image {
        -webkit-box-flex: 0;
        -webkit-flex: 0 0 75px;
        -ms-flex: 0 0 75px;
        flex: 0 0 75px;
        max-width: 75px;
    }
    .gallery_image{
        overflow: hidden;
    }
    .gallery_image picture,
    .gallery_image a{
        height: 250px;
    }
    .sidebar--user{
        width: 100%;
        position: static!important;
        float: none;
        margin-bottom: 5px;
    }
    .user_container{margin-left: 0;width: 100%;}
    .mobile_tab__content,
    .tabs__navigation--user .button__logout,
    .tabs__navigation--user .tabs__link {display: none;}
    .profile {border-bottom: none;}
    .user_container .tab:first-child .mobile_tab__content {display: block;}
    .user_container__boxed {margin-bottom: 0;}
    .user_tab__switch .block__header{min-height: 40px;padding: 15px;}
    .user_tab__switch .h1{font-size: 16px;font-weight: 500;}
    .boxed_no_comments {padding: 40px 20px;}
    .boxed_no_comments__icon {margin-bottom: 15px;}
    .boxed_no_comments__title {font-size: 16px;margin-bottom: 0px;}
    .header__center{padding: 10px 0;background: transparent;border: none;box-shadow: none;}
    .banner_main__item{flex-direction: column; gap: 24px;}
    .banner_main{height: auto;}
    .banner_main__title, h1, .h1, .section_title, .faq_title_h2, .footer__title{font-size: 36px;line-height: 42px;}
    .banner_main__description {font-size: 18px;}
    .banner_main__info .callback{margin-top: 0;}
    .banner_text_wrapper span{font-size: 24px;padding-right: 65px;line-height: 60px;}
    .banner_line{height: 60px;}
    .section_page_description, .section_photogallery, .section_our_partners, .section_our_instructors, .section_faq_boxed, .section_our_projects{padding: 50px 0;}
    .section_page_description h1, .section_title, .section_text, .section_title_wrapper, .section_photogallery .section_title, .page_wrapper .section_title,
    .faq_title_h2, .section_our_partners .section_title, .section_our_instructors .section_title, .page_our_projects .section_title, .blog_page .section_title, 
    .post_page .section_title, .page_our_instructors .section_title, .feedback_page .section_title, .page_wrapper .section_title{margin-bottom: 24px;}
    .main_articles_section{padding-top: 60px;}
    .article_item_info{bottom: 24px;left: 24px;max-width: 100%;gap: 16px;padding-right: 24px;min-height: 248px;}
    .article__title{font-size: 28px; letter-spacing: -1px;line-height: 1.2;}
    .article__annotation, .article__annotation p{font-size: 16px;max-width: 100%;}
    .page_description, .section_text, .our_projects_annotation, .category_page_description{font-size: 16px;}
    .our_partners_items, .photogallery_items{grid-template-columns: repeat(2, 1fr);}
    .photogallery_wrapper .fn_view_all, .our_instructors_wrapper .fn_view_all{margin: 40px auto 0;}
    .section_main_video{height: 340px;}
    .play_btn{width: 80px;height: 80px;}
    .play_btn svg{width: 100%;height: 100%;}
    .question_text{font-size: 22px;max-width: 290px;}
    .faq__answer{font-size: 16px;line-height: 1.2;padding-bottom: 16px;}
    .faq__question{padding: 16px 0;}
    .section_our_projects .section_title_wrapper{flex-direction: column-reverse;align-items: flex-start;gap: 20px;}
    .our_projects_info{padding: 16px 16px 20px;}
    .our_projects_items {padding-bottom: 45px;}
    footer{padding-top: 40px;}
    .footer__content{gap: 20px;padding: 32px 0 40px;}
    .social{gap: 20px;}
    .page_wrapper{gap: 24px;}
    .page_our_projects, .blog_page, .page_our_instructors, .feedback_page, .post_page{padding: 24px 0 60px;}
    .post_container__body{margin: 24px 0 0;}
    .footer__contact_item .email{font-size: 16px;}
    .footer__copyright{flex-direction: column;gap: 8px;align-items: flex-start;}
    .our_instructors_title{font-size: 20px;}
    .category_name_title {
        font-size: 28px;
    }
    .menu_group--header {
        width: 65%;
    }
    ol li, ul li {
        font-size: 15px;
    }
    td a {
        font-size: 15px;
    }
    table em {
        font-size: 15px;
    }
}
/* Extra Small Devices, Phones */
@media (max-width : 576px) {
    h6, .h6 {
        font-size: 14px;
        margin: 0px 0 15px;
        font-weight: 600;
    }
    .message_error{
        margin: 10px 0 20px;
    }
    .boxed__description img{
        display: block;
        float: none!important;
    }
    .coupon__title{
        font-size: 13px;
        margin: 3px 0 5px;
        font-weight: 400;
        display: inline-block;
        border-bottom: 1px dashed;
        line-height: 1.3;
        font-style: italic;
        opacity: 0.7;
        cursor: pointer;
    }
    .coupon__group{
        margin-top: 10px;
        display: none;
    }
    .block {
        margin: 0 0 10px;
    }
    .block--boxed {
        box-shadow: none;
        padding: 10px;
    }
    .form--boxed {
        padding: 10px;
    }
    .block__header--boxed {
        padding: 10px;
        margin-bottom: 10px;
    }
    .form__header {
        margin-bottom: 10px;
    }
    .form_cart .form__header {
        margin-bottom: 10px;
    }
    .form_cart{
        margin-top: 15px;
        margin-bottom: 15px;
    }
    .form__title {
        font-size: 16px;
        font-weight: 500;
        margin: 0 auto 10px;
    }
    .form__header::after {
        top: 35%;
    }
    .delivery__name_price {
        font-weight: 600;
        font-size: 10px;
    }
    .form__title svg{
        display: none;
    }
    .form__group {
        margin-bottom: 10px;
    }
    .form--boxed_cart,
    .form__button{
        width: 100%;
        margin-left: 0;
    }
    .pager li:first-child{
        margin-bottom: 10px;
    }
    .purchase__content {
        -webkit-box-flex: 0;
        -webkit-flex: 0 0 calc(100% - 75px);
        -ms-flex: 0 0 calc(100% - 75px);
        flex: 0 0 calc(100% - 75px);
        max-width: calc(100% - 75px);
        padding-left: 10px;
    }
    .purchase__amount,
    .purchase__price {
        padding-right: 10px;
    }
    .delivery__image{
        display: none;
    }
    .delivery__name{
        -webkit-flex-basis: 0;
        -ms-flex-preferred-size: 0;
        flex-basis: 0;
        -webkit-box-flex: 1;
        -webkit-flex-grow: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        max-width: 100%;
        font-size: 12px;
        font-weight: 500;
    }
    .details_boxed__buttons > * {
        max-width: inherit;
        padding-right: 0px;
    }
    .details_boxed__buttons > * {
        width: calc(100% - 150px);
        -webkit-box-flex: 0;
        -webkit-flex: 0 0 calc(100% - 150px);
        -ms-flex: 0 0 calc(100% - 150px);
        flex: 0 0 calc(100% - 150px);
    }
    .details_boxed__other{
        -webkit-box-flex: 0;
        -webkit-flex: 0 0 150px;
        -ms-flex: 0 0 150px;
        flex: 0 0 150px;
        width: 150px;
    }
    .details_boxed__other .fast_order_button,
    .product-page__compare,
    .product-page__wishlist{
        margin-right: 0;
        margin-left: 10px;
    }
    .form__button--subscribe {
        width: auto!important;
    }
    .details_boxed__item--one,
    .details_boxed__item {
        padding: 10px;
    }
    .details_boxed__amount {
        margin-bottom: 10px;
    }
    .details_boxed__prices {
        margin-bottom: 10px;
        padding: 0;
        margin-right: 15px;
    }
    .details_boxed__old_price {
        font-weight: 400;
        margin: 0px 10px 0 0;
        font-size: 16px;
    }
    .details_boxed__old_price .currency {
        font-weight: 400;
        font-size: 11px;
    }
    .details_boxed__price {
        font-size: 28px;
    }
    .details_boxed__price .currency{
        font-size: 13px;
    }
    .mobile_tab__content .comment{
        margin-bottom: 10px;
    }
    .comment__inner {
        margin-bottom: 10px;
    }
    .comment__icon {
       display: none;
    }
    .comment__boxed {
        -webkit-box-flex: 0;
        -webkit-flex: 0 0 100%;
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }
    .tab {
        padding: 0px 15px;
    }
    .details_boxed__no_brand .details_boxed__title{
        display: block;
    }
    .cell {
        padding: 10px 5px;
        line-height: 1.1;
        font-size: 10px;
        font-weight: 500;
    }
    .comparison_block__left {
        width: 40%;
    }
    .comparison_block__products {
        width: 60%!important;
    }
    .products_list{
        position: relative;
    }
    .products_list:before{
        content: "";
        height: 100%;
        width: 1px;
        position: absolute;
        right: 0px;
        top: 0px;
        display: block;
        z-index: 1;
        background: #fff;
    }
    .product_preview__button--pre_order{
        padding: 0;
        line-height: 1px;
    }
    .product_preview__button--pre_order .product_preview__button_text {
        padding: 0px 5px;
        font-size: 10px;
        font-weight: 500;
        line-height: 1;
        display: block;
    }
    body,
    .boxed__description{
        font-size: 16px;
        line-height: 1.2;
    }
    .advantages__preview {
        padding: 10px 5px;
    }
    .advantages__title {
        font-size: 12px;
        line-height: 1.2;
        height: 30px;
        min-height: 30px;
    }
    .advantages__icon svg {
        width: 50px;
        height: 50px;
    }
    .xzoom-thumbs {
        text-align: center;
        margin-bottom: 0px;
    }
    .anchor_comments__link {
        margin-top: 5px;
        margin-bottom: 3px;
    }
    .hc-offcanvas-nav ul.bottom-nav li a.nav-item{
        font-size: 16px;
    }
    .password_remind {
        margin-bottom: 15px;
        margin-top: 10px;
    }
    .hc-offcanvas-nav ul.top-nav .mobile__link img {
        max-height: 45px;
    }
    .hc-offcanvas-nav ul.top-nav .account__link {
        font-size: 11px;
    }
    .block__description {
        padding: 0rem;
    }
    .block__description--style p {
        line-height: 1.6;
        margin: 0 0 1rem;
    }
    .block__description--style .table {
        margin: 0;
    }
    .block__description--style .table__cell{
        margin: 1rem 0;
    }
    .block__description--style img {
        margin: 0 0 1rem;
    }
    .block__description--style ol,
    .block__description--style ul {
        margin-bottom: 1rem;
    }
    .block__description--style ul li,
    .block__description--style ol li {
        /* font-size: 14px;
        font-weight: 600;
        line-height: 1.4; */
        margin: 0 0 0.8rem;
    }
    .block__description--style blockquote {
        margin: 1rem 0 1rem;
        padding: 15px 10px 15px 40px;
    }
    .block__description--style blockquote::before {
        font-size: 55px;
        left: -5px;
    }
    .block__description--style blockquote p {
        font-size: 14px;
        line-height: 1.5;
        margin: 0 0 0.5rem;
    }
    .details_boxed_pct {
        top: -20px;
    }
    .details_boxed__prices {
        -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }
    .author_card {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
    }
    .author_card__info,
    .author_card__image{
        -webkit-flex-basis: 0;
        -ms-flex-preferred-size: 0;
        flex-basis: 0;
        -webkit-box-flex: 1;
        -webkit-flex-grow: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        max-width: 100%;
    }
    .author_card__image{
        padding: 0 0 20px;
        min-height: auto;
    }
    .author_card__info{
        padding: 0;
    }
    .purchase__price {
        order: 1;
        padding: 0 0 0 5px;
    }
    .purchase__amount {
        order: -1;
    }
    .purchase__price {
        order: 1;
    }
    .pager a {
        height: unset;
        min-height: 45px;
    }
    .page_our_projects .our_projects_items{grid-template-columns: repeat(1, 1fr);}
    .pagination__item {
        margin-bottom: 16px;
    }
    .menu_group--header {
        width: 90%;
    }
    .our_instructors_items{grid-template-columns: repeat(1, 1fr);gap: 16px;}
    .our_instructors_item {
        background-position: center;
    }
}

@media only screen and (max-width : 480px) {
    body {
        line-height: 1.2;
    }
    .form--boxed{
        padding: 5px 0px;
        box-shadow: none;
    }
    .form--boxed.popup{
        padding: 10px;
    }
    .block__title {
        font-size: 20px;
        font-weight: 500;
        margin: 0 0 10px;
    }
    .details_boxed__select .select2-container {
        width: 100% !important;
    }
    .header_informers__item i {
        width: 24px;
        height: 24px;
    }
    .header_informers__item i::before {
        font-size: 24px;
        line-height: 1;
    }
    .header_informers__item.icon:before{
        font-size: 28px;
        line-height: 1;
    }
    .header_informers__item i.icon-balance-scale::before {
        font-size: 20px;
        line-height: 1;
    }
    .header_informers__item.icon::before {
        font-size: 26px;
        line-height: 1;
    }
    .header_informers__item {
        min-width: 50px;
        padding: 0 5px;
    }
    .header_informers__item.icon-search {
        min-width: 35px;
        height: 24px;
    }
    .product_preview__prices {
        margin-top: 10px;
    }
    .product-page__button {
        font-size: 12px;
    }
    .header_informers__item .compare_counter,
    .header_informers__item .wishlist_counter,
    .header_informers__item .cart_counter {
        right: 3px;
        top: -5px;
    }
    .scroll_products .scroll_products__item {
        width: 160px;
    }
    .product_preview {
        padding: 10px 10px 10px;
    }
    .product_preview__prices .price .currency {
        font-size: 10px;
        font-weight: 500;
    }
    .block_explanation__header {
        font-size: 18px;
        font-weight: 600;
        margin-bottom: 10px;
    }
    .product_preview__buttons .comparison_button,
    .product_preview__buttons .fast_order_button {
        margin-left: 3px;
    }
    .header_informers__link i.fa-balance-scale:before{
        font-size: 24px;
    }
    .menu_group--header {
        width: 96%;
    }
    .header_right_wrapper .callback {
        max-width: 320px;
    }
    table {
        font-size: 14px;
    }
    td a, table em  {
        font-size: 13px;
    }
    td, th {
        padding: 5px 7px;
    }
}

/* Custom, iPhone Retina */
@media only screen and (max-width : 360px) {
    .menu_switcher__heading {
        padding: 0px;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
    }
    .product_preview__out_stock {
        white-space: normal;
        font-size: 11px;
        font-weight: 500;
        line-height: 1.1;
    }
    .menu_switcher__heading svg {
        height: 20px;
        width: 20px;
    }
    .logo_text{font-size: 18px;}
    /* .banner_main__title, h1, .h1, .section_title, .faq_title_h2, .footer__title{font-size: 32px;line-height: 36px;} */
    .banner_main__info{gap: 20px;}
    .question_text{font-size: 20px;max-width: 250px;}
    .header__logo{
        -webkit-box-flex: 0;
        -webkit-flex: 1 0 240px;
        -ms-flex: 1 0 240px;
        flex: 1 0 240px;
        max-width: 240px;
    }
    .footer__contact_item .email, .footer__copyright{font-size: 14px;}
    table {
        font-size: 14px;
    }
    td a, table em  {
        font-size: 13px;
    }
    td, th {
        padding: 5px;
    }
    td a, table em  {
        font-size: 12px;
    }
}
